Вслед за отказом от дальнейшей поддержки iPhone 2G, Apple решила полностью избавиться от старого хлама в App Store. Всех зарегистрированных разработчиков сегодня предупредили о том, что в App Store теперь могут находить только программы, написанные под прошивки 3.x и 4.0. Все новые программы и обновления для существующего софта, отправляемые на одобрение цензорам, должны быть написаны в iPhone SDK 4 под iOS 4.0. Кроме того, все старые программы, которые не совместимы с четвёртым (или, на худой конец, третьим) поколением прошивок, подлежат немедленной переработке. В случае игнорирования данного требования несовместимые программы будут удалены из App Store.

В общем, эволюция iOS берёт своё, только вот стоит ли огорчаться по поводу грядущей чистки App Store от несовместимого с выпускаемыми айфонами софта? Интересно, много ли народу нынче пользуются прошивками 2.x? :)

Поделитесь страницей через социальные сети